Bug 525415 - Special Characters in Subject line cause invalid X-VM-v5-Data
Summary: Special Characters in Subject line cause invalid X-VM-v5-Data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-vm
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 10:19 UTC by m.oliver
Modified: 2010-04-07 16:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-07 16:35:49 UTC


Attachments (Terms of Use)
Mail folder which triggers this bug (48.23 KB, application/octet-stream)
2009-09-24 10:19 UTC, m.oliver
no flags Details

Description m.oliver 2009-09-24 10:19:26 UTC
Created attachment 362467 [details]
Mail folder which triggers this bug

Description of problem:

It appears that non-ASCII Character encodings in the subject line of an email cause VM to insert an invalid X-VM-v5-Data entry into the mail file, which prevents VM from reading its own mail file.  

Version-Release number of selected component (if applicable):

emacs-vm-8.0.12-6.fc11

How reproducible:

Some mails always trigger this error.  Most emails with accented characters (such as mails sent by VM itself) consistently work just fine.


Steps to Reproduce:
1. Use "v" (Visit Folder) to open the attached mail folder
2. Save file (opening this file will modify the buffer as VM adds an X-VM-v5-Data entry into the file)
3. Type "q" (Save Folder & Quit)
4. Repeat step 1 on the now modified folder
  
Actual results:

Folder does not open as mail folder, error message is

Wrong type argument: stringp, =\?iso-8859-1\?Q\?

Expected results:

Folder would just open as it did the first time round.

Additional info:

Manually removing the X-VM-v5-Data lines from the folder will allow it to be opened again one time.  Removing the subject line permanently fixes the particular email.

The occurance of this problem is closely correlated with spam, or spam-like email, possibly sent from non-standards-complient clients? In any case, bad input should not break VM...

Comment 1 Göran Uddeborg 2009-12-20 21:25:29 UTC
A beta version of 8.1.0 has now been released.  I've been running it a little and it seems much better than 8.0.12 with the current emacs.  No beta issues so far.

Comment 2 Jonathan Underwood 2009-12-20 21:32:41 UTC
Yeah - I actually tried to build 8.0.14 packages in koji yesterday, but a gcc bug is preventing that. Once the gcc bug is remedied I'll push those builds, and follow with the 8.1 beta.

With the 8.1.0 beta do you see the problem you originally reported fixed?

Comment 3 Göran Uddeborg 2009-12-20 22:06:47 UTC
I wasn't the one reporting, but I saw the same problems as the reporter.  And yes, the "stringp ..." doesn't happen any more.

At least not so far, touch wood! :-)

Comment 4 Fedora Update System 2009-12-31 16:16:05 UTC
emacs-vm-8.1.0-0.1.beta.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/emacs-vm-8.1.0-0.1.beta.fc12

Comment 5 Fedora Update System 2010-01-02 03:38:24 UTC
emacs-vm-8.1.0-0.1.beta.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-vm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0068


Note You need to log in before you can comment on or make changes to this bug.